=== debian/changelog ===
linux-fsl-imx51 (2.6.31-105.14) karmic; urgency=low

  [ Andy Whitcroft ]

  * rebase to Ubuntu-2.6.31-14.46
  * [Config] update configs since rebase to Ubuntu-2.6.31-14.46
  * lirc update dropped module lirc_mceusb2

  [ Upstream Kernel Changes ]

  * mxc spi: fix spi driver for 2.6.31
    - LP: #427289, #446140

  [ Ubuntu: 2.6.31-14.46 ]

  * reinstate armel.mk with no flavours
    - LP: #449637
  * [Upstream] elevator: fix fastfail checks to allow merge of readahead
    requests
    - LP: #444915
  * [Upstream] block: silently error unsupported empty barriers too
    - LP: #420423
  * SAUCE: AppArmor: Fix mediation of "deleted" paths
    - LP: #415632
  * [Config] CONFIG_X86_MCE
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007584.html
  * Revert "appletalk: Fix skb leak when ipddp interface is not loaded,
    CVE-2009-2903" - Use patch from 2.6.31.4 which is slightly different.
  * x86: fix csum_ipv6_magic asm memory clobber
  * tty: Avoid dropping ldisc_mutex over hangup tty re-initialization
  * x86: Don't leak 64-bit kernel register values to 32-bit processes
  * tracing: correct module boundaries for ftrace_release
  * ftrace: check for failure for all conversions
  * futex: fix requeue_pi key imbalance
  * futex: Move exit_pi_state() call to release_mm()
  * futex: Nullify robust lists after cleanup
  * futex: Fix locking imbalance
  * NOHZ: update idle state also when NOHZ is inactive
  * ima: ecryptfs fix imbalance message
  * libata: fix incorrect link online check during probe
  * sound: via82xx: move DXS volume controls to PCM interface
  * ASoC: WM8350 capture PGA mutes are inverted
  * KVM: Prevent overflow in KVM_GET_SUPPORTED_CPUID
  * KVM: VMX: flush TLB with INVEPT on cpu migration
  * KVM: fix LAPIC timer period overflow
  * KVM: SVM: Fix tsc offset adjustment when running nested
  * KVM: SVM: Handle tsc in svm_get_msr/svm_set_msr correctly
  * net: Fix wrong sizeof
  * mm: add_to_swap_cache() must not sleep
  * sis5513: fix PIO setup for ATAPI devices
  * PIT fixes to unbreak suspend/resume (bug #14222)
  * IMA: open new file for read
  * ACPI: Clarify resource conflict message
  * ACPI: fix Compaq Evo N800c (Pentium 4m) boot hang regression
  * net: restore tx timestamping for accelerated vlans
  * net: unix: fix sending fds in multiple buffers
  * tun: Return -EINVAL if neither IFF_TUN nor IFF_TAP is set.
  * tcp: fix CONFIG_TCP_MD5SIG + CONFIG_PREEMPT timer BUG()
  * net: Fix sock_wfree() race
  * smsc95xx: fix transmission where ZLP is expected
  * sky2: Set SKY2_HW_RAM_BUFFER in sky2_init
  * appletalk: Fix skb leak when ipddp interface is not loaded
  * ax25: Fix possible oops in ax25_make_new
  * ax25: Fix SIOCAX25GETINFO ioctl
  * sit: fix off-by-one in ipip6_tunnel_get_prl
  * Linux 2.6.31.4
  * drm/i915: Fix FDI M/N setting according with correct color depth
    - LP: #416792

  [ Ubuntu: 2.6.31-13.45 ]

  * [Config] Add sd_mod to scsi-modules udeb for powerpc
  * SAUCE: Update to LIRC 0.8.6
    - LP: #432678
  * [Config] CONFIG_X86_PAT=y
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007477.html
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007534.html
  * [Config] Add armel arch to linux-libc-dev arches.
    - LP: #449637
  * e1000e: swap max hw supported frame size between 82574 and 82583
  * drm/i915: Initialize HDMI outputs as HDMI connectors, not DVI.
    - LP: #392017
  * ALSA: hda - Add quirks for some HP laptops
    - LP: #449742
  * ALSA: hda - Add support for HP dv6
    - LP: #449742

  [ Ubuntu: 2.6.31-13.44 ]

  * sgi-gru: Fix kernel stack buffer overrun, CVE-2009-2584
  * appletalk: Fix skb leak when ipddp interface is not loaded,
    CVE-2009-2903
    Note - This patch causes an ABI change in the symbol aarp_send_ddp
    which I'm ignoring.

 -- Andy Whitcroft <apw@canonical.com>  Tue, 13 Oct 2009 15:59:33 +0100

linux-fsl-imx51 (2.6.31-104.13) karmic; urgency=low

  [ Andy Whitcroft ]

  * fix FTBFS due to sound being built in

 -- Andy Whitcroft <apw@canonical.com>  Sat, 10 Oct 2009 18:58:18 +0100

linux-fsl-imx51 (2.6.31-104.12) karmic; urgency=low

  [ Alan Tull ]

  * SAUCE: IMX51: A hack which allows the sound driver to initialize.

  [ Amit Kucheria ]

  * Disable CONFIG_UEVENT_HELPER_PATH

  [ Andy Whitcroft ]

  * rebase to Ubuntu-2.6.31-13.42
  * rebase to Ubuntu-2.6.31-13.43

  [ Brad Figg ]

  * CONFIG: IMX51: change SGTL5000 driver to be builtin instead of a
    module.

  [ Colin Watson ]

  * Use section 'admin' rather than 'base'

  [ Jeremy Kerr ]

  * SAUCE: drivers/net/fec: Convert to a platform bus driver
    - LP: #438687

  [ Tim Gardner ]

  * [Config] CONFIG_GFS2_FS_LOCKING_DLM=y
    - LP: #416325

  [ Upstream Kernel Changes ]

  * ENGR00107785 sgtl5000: adc power savings
  * sgtl5000 audio: more porting to 2.6.31
  * sgtl5000: add line in function

  [ Ubuntu: 2.6.31-13.43 ]

  * Revert "[Upstream] acerhdf: Limit modalias matching to supported
    boards"
  * Use section 'admin' rather than 'base'
  * SAUCE: AppArmor: Set error code after structure initialization.
    - LP: #427948
  * SAUCE: AppArmor: Fix off by 2 error in getprocattr mem allocation
    - LP: #446595
  * SAUCE: Add sr_mod to the scsi-modules udeb for powerpc
  * [Upstream] acerhdf: Limit modalias matching to supported boards
    (supersedes previous revert made by Andy Whitcroft)
    - LP: #435958

  [ Ubuntu: 2.6.31-13.42 ]

  * SAUCE: (drop after 2.6.31) input: Add support for filtering input
    events
    - LP: #430809
  * SAUCE: (drop after 2.6.31) dell-laptop: Trigger rfkill updates on wifi
    toggle switch press
    - LP: #430809
  * SAUCE: Raise the default console 'quiet' level to 2
    This supresses all but critical and emergency level messages.
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007476.html
  * TTY: fix typos
  * Linux 2.6.31.3
  * V4L/DVB (12439): cx88: add support for WinFast DTV2000H rev. J
    - LP: #433904

  [ Ubuntu: 2.6.31-12.41 ]


