=== debian/control ===
Source: linux-fsl-imx51
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), rsync
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-karmic.git


Package: linux-image-2.6.31-105-imx51
Architecture: armel
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-fsl-imx51-doc-2.6.31 | linux-fsl-imx51-source-2.6.31
Description: Linux kernel image for version 2.6.31 on I.MX51-based systems
 This package contains the Linux kernel image for version 2.6.31 on
 I.MX51-based systems.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports I.MX51 processors.
 .
 Babbage boards
 .
 You likely do not want to install this package directly. Instead, install
 the linux-imx51 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.31-105-imx51
Architecture: armel
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), ${shlibs:Depends}
Description: Linux kernel headers for version 2.6.31 on I.MX51-based systems
 This package provides kernel header files for version 2.6.31 on
 I.MX51-based systems.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.31-105/debian.README.gz for details.


Package: kernel-image-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: kernel-image
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Network interface support

Package: nic-shared-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, and nic-pcmcia-modules.

Package: serial-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Serial port support

Package: ppp-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di, serial-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: PPP (serial port) networking support

Package: scsi-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: SCSI storage support

Package: plip-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di, parport-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: PLIP (parallel port) networking support

Package: fat-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: FAT filesystem support
 This includes Windows FAT and VFAT support.

Package: nfs-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nfs-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: NFS filesystem drivers
 Includes the NFS client driver, and supporting modules.

Package: md-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: md-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Multi-device support (raid, device-mapper, lvm)

Package: usb-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: usb-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Core USB support

Package: input-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: input-modules
Depends: kernel-image-2.6.31-105-imx51-di, usb-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Support for various input methods

Package: mouse-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: mouse-modules
Depends: kernel-image-2.6.31-105-imx51-di, input-modules-2.6.31-105-imx51-di, usb-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: extra
Description: Mouse support
 This package contains mouse drivers for the Linux kernel.

Package: irda-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: irda-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Support for Infrared protocols

Package: parport-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: parport-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Parallel port support

Package: nic-usb-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nic-usb-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di, usb-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: USB network interface support

Package: sata-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: sata-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: SATA storage support

Package: crypto-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: crypto-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: extra
Description: crypto modules
 This package contains crypto modules.

Package: fs-core-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: fs-core-modules, jfs-modules, reiserfs-modules, xfs-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Base filesystem modules
 This includes jfs, reiserfs and xfs.

Package: fs-secondary-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: fs-secondary-modules, ntfs-modules, hfs-modules
Depends: kernel-image-2.6.31-105-imx51-di, fat-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Extra filesystem modules
 This includes support for Windows NTFS and MacOS HFS/HFSPlus

Package: storage-core-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: storage-core-modules, loop-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Core storage support
 Includes core SCSI, LibATA, USB-Storage. Also includes related block
 devices for CD, Disk and Tape medium (and IDE Floppy).

Package: block-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: block-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di, parport-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Block storage devices
 This package contains the block storage devices, including DAC960 and
 paraide.
